Author: jfrederic.clere(a)jboss.com
Date: 2007-12-11 08:12:32 -0500 (Tue, 11 Dec 2007)
New Revision: 1173
Modified:
trunk/build/unix/buildbin.rhel-httpd.sh
trunk/build/unix/buildsrc.rhel-httpd.sh
Log:
Arrange it so that it build now on Solaris.
Modified: trunk/build/unix/buildbin.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildbin.rhel-httpd.sh 2007-12-11 12:57:39 UTC (rev 1172)
+++ trunk/build/unix/buildbin.rhel-httpd.sh 2007-12-11 13:12:32 UTC (rev 1173)
@@ -49,10 +49,11 @@
# Function from the httpd.spec file
# removed for easy testing.
# --with-apr=${_prefix} --with-apr-util=${_prefix} \
-function mpmbuild()
+mpmbuild()
{
mpm=$1; shift
-mkdir $mpm; pushd $mpm
+mkdir $mpm
+(cd $mpm
../configure \
--prefix=${_sysconfdir}/httpd \
--exec-prefix=${_prefix} \
@@ -72,12 +73,11 @@
--with-suexec-logfile=${_localstatedir}/log/httpd/suexec.log \
--with-suexec-bin=${_sbindir}/suexec \
--with-suexec-uidmin=500 --with-suexec-gidmin=100 \
- --enable-pie \
--with-pcre \
$*
make
-popd
+) || exit 1
}
#
@@ -101,6 +101,11 @@
add_conf="--with-ssl=no"
add_conf=""
fi
+case ${BUILD_SYS} in
+ linux*)
+ add_conf="$add_conf --enable-pie"
+ ;;
+esac
echo "Building prefork and mpm"
native_sources=srclib/`ls srclib | grep httpd-`
cd $native_sources
@@ -121,7 +126,7 @@
# Install it
RPM_BUILD_ROOT=$output_loc
-pushd prefork
+(cd prefork
make DESTDIR=$RPM_BUILD_ROOT install
-popd
+) || exit 1
install -m 755 worker/httpd ${RPM_BUILD_ROOT}/${_sbindir}/httpd.worker
Modified: trunk/build/unix/buildsrc.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildsrc.rhel-httpd.sh 2007-12-11 12:57:39 UTC (rev 1172)
+++ trunk/build/unix/buildsrc.rhel-httpd.sh 2007-12-11 13:12:32 UTC (rev 1173)
@@ -87,6 +87,22 @@
grep "^%patch" ${rhel_loc}/httpd.spec | sed 's:%:@:' | sed 's: :@
:' | awk ' { print $1 " " $2 } ' > ${WHERE}/patch.cmd
grep "^Patch" ${rhel_loc}/httpd.spec | sed 's:^Patch:@patch:' | sed
's/:/@/' | awk ' { print "s:" $1 ": patch -i @DIR@" $2
":" } ' > ${WHERE}/patch.files
sed -f ${WHERE}/patch.files ${WHERE}/patch.cmd | sed "s:@DIR@:${rhel_loc}/:"
> ${WHERE}/patch.sh
+
+#
+# Remove linux specific patches.
+case ${BUILD_SYS} in
+ linux*)
+ remove_list=""
+ ;;
+ *)
+ remove_list="httpd-2.0.54-selinux.patch"
+ ;;
+esac
+if [ -z ${remove_list} ]; then
+ echo "Linux applying all the rhel patches"
+else
+ cat ${WHERE}/patch.sh | grep -v ${remove_list} > ${WHERE}/patch.sh
+fi
echo "Applying the rhel patches to ${dirsources}"
chmod a+x ${WHERE}/patch.sh
(cd ${dirsources}
Show replies by date